MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027583Open CASCADE[OCCT] OCCT:Visualizationpublic2016-06-08 19:392016-12-09 16:38
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027583: Visualization, MeshVS - handle MeshVS_DA_SupressBackFaces flag within MeshVS_NodalColorPrsBuilder
DescriptionMeshVS_NodalColorPrsBuilder does not consider MeshVS_DA_SupressBackFaces flag, thus capping is not applied to model.
Steps To Reproduce
pload XDE VISUALIZATION

vclear
vinit View1
vaxo
meshfromstl m0 [locate_data_file sh1.stl]
meshclosed  m0 1
vsetlocation -noupdate m0 -100 0 0
meshfromstl m1 [locate_data_file sh1.stl]
meshclosed  m1 1
vsetlocation -noupdate m1 0 0  100
meshfromstl m2 [locate_data_file sh1.stl]
meshclosed  m2 1
vsetlocation -noupdate m2 100 0 0
meshfromstl m3 [locate_data_file sh1.stl]
meshclosed  m3 1
vsetlocation -noupdate m3 100 0 100
meshfromstl m4 [locate_data_file sh1.stl]
meshclosed  m4 1
vfit

vclipplane create p
vclipplane change p equation 0 1 0 0
vclipplane change p capping on
vclipplane change p capping color 0.9 0.9 0.9
vclipplane set    p view Driver1/Viewer1/View1

vsetdispmode m0 2
meshcolors m1 elem1 0
meshcolors m2 elem2 0
meshcolors m3 nodal 1
meshcolors m4 nodaltex 1
TagsNo tags attached.
Test case numberbugs vis bug26028
Attached Files

- Relationships
related to 0026028closedbugmaster Option for drawing MeshVS_Mesh as closed object 

-  Notes
(0056304)
git (administrator)
2016-07-30 17:06

Branch CR27583 has been created by kgv.

SHA-1: e864438cd09a911f89e486bbf8330a80f6427e74


Detailed log of new commits:

Author: kgv
Date: Sat Jul 30 17:05:32 2016 +0300

    0027583: Visualization, MeshVS - handle MeshVS_DA_SupressBackFaces flag within MeshVS_NodalColorPrsBuilder
    
    and within MeshVS_ElementalColorPrsBuilder builders.
(0056305)
kgv (developer)
2016-07-30 17:06

Patch is ready for review.
(0056346)
san (developer)
2016-08-01 17:55

Branch CR27583 reviewed without remarks, ready for testing.
(0056392)
apv (tester)
2016-08-02 16:56

Dear BugMaster,

Branch CR27583 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: e864438cd09a911f89e486bbf8330a80f6427e74

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1135

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug26028 - OK
http://occt-tests/CR27583-master-OCCT/Debian70-64/bugs/vis/bug26028.html [^]
http://occt-tests/CR27583-master-OCCT/Windows-64-VC10/bugs/vis/bug26028.html [^]

Testing on Linux:
Total MEMORY difference: 90546325 / 90107509 [+0.49%]
Total CPU difference: 19377.97000000001 / 19470.140000000094 [-0.47%]

Testing on Windows:
Total MEMORY difference: 57087876 / 57093912 [-0.01%]
Total CPU difference: 18297.653691898908 / 18078.831089198848 [+1.21%]
(0057182)
git (administrator)
2016-08-26 16:26

Branch CR27583 has been deleted by inv.

SHA-1: e864438cd09a911f89e486bbf8330a80f6427e74

- Related Changesets
occt: master cde2e2f0
Timestamp: 2016-07-30 14:05:32
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027583: Visualization, MeshVS - handle MeshVS_DA_SupressBackFaces flag within MeshVS_NodalColorPrsBuilder

and within MeshVS_ElementalColorPrsBuilder builders.
mod - src/MeshVS/MeshVS_ElementalColorPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx Diff ] File ]
mod - tests/bugs/vis/bug26028 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-08 19:39 oan New Issue
2016-06-08 19:39 oan Assigned To => kgv
2016-07-30 16:32 kgv Steps to Reproduce Updated View Revisions
2016-07-30 17:04 kgv Summary MeshVS_NodalColorPrsBuilder does not consider MeshVS_DA_SupressBackFaces flag => Visualization, MeshVS - handle MeshVS_DA_SupressBackFaces flag within MeshVS_NodalColorPrsBuilder
2016-07-30 17:06 git Note Added: 0056304
2016-07-30 17:06 kgv Note Added: 0056305
2016-07-30 17:06 kgv Assigned To kgv => san
2016-07-30 17:06 kgv Status new => resolved
2016-07-30 17:08 kgv Relationship added related to 0026028
2016-07-30 17:09 kgv Product Version => 6.9.0
2016-08-01 17:55 san Note Added: 0056346
2016-08-01 17:55 san Assigned To san => bugmaster
2016-08-01 17:55 san Status resolved => reviewed
2016-08-01 19:10 apv Assigned To bugmaster => apv
2016-08-02 16:23 apv Test case number => bugs vis bug26028
2016-08-02 16:56 apv Note Added: 0056392
2016-08-02 16:56 apv Assigned To apv => bugmaster
2016-08-02 16:56 apv Status reviewed => tested
2016-08-05 13:30 bugmaster Changeset attached => occt master cde2e2f0
2016-08-05 13:30 bugmaster Status tested => verified
2016-08-05 13:30 bugmaster Resolution open => fixed
2016-08-26 16:26 git Note Added: 0057182
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker